﻿//---------------------------------------------------------------------
// File: UserInfoImpl.cs
//
// Copyright (c) JNBridge, LLC. All rights reserved.
//
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//---------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using com.jcraft.jsch;

using com.jnbridge.jnbcore;


namespace Microsoft.BizTalk.SDKSamples.Adapters
{
    [Callback("com.jcraft.jsch.UserInfo")]
    public class UserInfoImpl : com.jcraft.jsch.UserInfoConstants, com.jcraft.jsch.UserInfo
    {
        private string passWord;
        private string passPhrase;

        public UserInfoImpl(string passWord, string passPhrase)
        {
            this.passWord = passWord;
            this.passPhrase = passPhrase;
        }

        // com.jcraft.jsch.UserInfo interface implementation

        public string getPassphrase()
        {
            return this.passPhrase;
        }

        public string getPassword()
        {
            return this.passWord;
        }

        public bool promptPassphrase(string p1)
        {
            Console.WriteLine(p1);
            return true;
        }

        public bool promptPassword(string p1)
        {
            Console.WriteLine(p1);
            return true;
        }

        public bool promptYesNo(string p1)
        {
            Console.WriteLine(p1);
            return true;
        }

        public void showMessage(string p1)
        {
            Console.WriteLine(p1);
        }
    }
}
